@import url('https://fonts.googleapis.com/css?family=Roboto:400,700');

body {
	background: #222;
	color:#ddd;
	font-family: "Roboto", Helvetica, sans-serif;
	font-size: 16px;
	margin: 0;
}
* {
	box-sizing: border-box;
}
a {
	color: #629dd1;
}

body {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

/* ------------------------------------------------------------------- */
header {
	margin: 2em 1em;
	text-align: center;
}
header .logo {
	width: 400px;
	max-width: 100%;
}
header .welcome {
	font-size: 1.5em;
}
header .welcome small {
	display: block;
	font-size: 0.75em;
}
/* ------------------------------------------------------------------- */
main {
	max-width: 100%;
	padding: 1em;
	margin: auto;
	padding-right: calc(50% - 750px);
	padding-left: calc(50% - 750px);
    background-color: hsla(0, 0%, 19%, 1);
}
main .cards {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
}
main .cards a {
	flex:1;
	display: block;
	padding: 1.2em 1em 1.5em;
	margin: 0.5em;
	border-radius:0.2em;
	text-decoration: none;
	color:#ddd;
	text-align: center;
	border: 1px solid #555;
	background: #333;
	transition:background ease 0.5s, border ease 0.5s, transform ease 0.5s;
	
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14), 0 1px 5px 0 rgba(0,0,0,0.12), 0 3px 1px -2px rgba(0,0,0,0.2);
}
main .cards dl,
main .cards dl dt,
main .cards dl dd {
	margin: 0;
	padding: 0;
}
main .cards dl dt {
	color: #FFF;
	font-size: 1.5em;
	margin-bottom: 1em;
	font-weight: bold;
}
main .cards .icon {
	display: block;
	margin: auto;
	max-width: 4em;
	max-height: 4em;
	margin-bottom: 1em;
	background: #629dd1;
	border-radius: 50%;
	padding: 0.7em;
}
main .cards svg {
	display: block;
	max-width: 100% !important;
	max-height: 100% !important;
	width: auto;
	height: auto;
}
main .cards svg path,
main .cards svg circle,
main .cards svg line,
main .cards svg rect {
	fill:#fff;
}

main .cards a.karaoke-mugen { background: hsla(234, 44%, 47%, 0.2) }
main .cards a.karaoke-mugen .icon { background: hsla(234, 44%, 77%, 0.2) }
main .cards a.karaoke-support { background: hsla(60, 50%, 38%, 0.35) }
main .cards a.karaoke-support .icon { background: hsla(60, 50%, 68%, 0.35) }
main .cards a.karaoke-karas { background: hsla(0, 22%, 34%, 0.4) }
main .cards a.karaoke-karas .icon { background: hsla(0, 22%, 64%, 0.4) }
main .cards a.karaoke-suggest { background: hsla(317, 47%, 47%, 0.2) }
main .cards a.karaoke-suggest .icon { background: hsla(317, 47%, 77%, 0.2) }

main .cards a:hover {
	border: 1px solid #ddd;
	transform:translate(0,-0.5em);
}
main .cards a:hover dd {
	color:#fff;
}

@media screen and (max-width:1100px) {
	main .cards a {
		flex: unset;
		width: calc(50% - 1em);
	}
	main {
		padding: 16px;
	}
}
@media screen and (max-width:640px) {
	main .cards a {
		flex: unset;
		width: calc(100% - 1em);
	}
}

/* ------------------------------------------------------------------- */



/* ------------------------------------------------------------------- */
footer {
	margin: 2em 1em;
}
footer ul.footer-bar {
	text-align: center;
}
footer ul.footer-bar li {
	display: inline;
}
footer ul.footer-bar li:after {
	content: "•";
	padding: 0 0.5em;
}
footer ul.footer-bar li:last-child:after {
	display: none;
}
footer p.credits {
	text-align: center;
}